/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace MyPhotoIndex.Controls
{
    class Skiner
    {
        private static Skiner m_instance = new Skiner();

        public static Skiner Default
        {
            get
            {
                return m_instance;
            }
        }

        public Color BackColorGradiantColor1
        {
            get
            {
                return Color.LightSteelBlue;
            }
        }

        public Color BackColorGradiantColor2
        {
            get
            {
                return Color.LightCyan;
            }
        }

        public Color TreeViewSelectedColor
        {
            get
            {
                return Color.Yellow;
            }
        }

        public Color TreeViewChildColor
        {
            get
            {
                return Color.Linen;
            }
        }
    }
}
