/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace MyPhotoIndex.Controls
{
    public class TagTreeNodeAlphaBeticalSorter : IComparer<TreeNode>, IComparer
    {
        private TreeNode m_node;

        public TagTreeNodeAlphaBeticalSorter(TreeNode node)
        {
            m_node = node;
        }

        #region IComparer<TreeNode> Members

        public int Compare(TreeNode x, TreeNode y)
        {
            if (x.Parent != m_node)
            {
                return 0;
            }

            return string.Compare(x.Text, y.Text);
        }

        #endregion

        #region IComparer Members

        public int Compare(object x, object y)
        {
            return Compare((TreeNode)x, (TreeNode)y);
        }

        #endregion
    }
}
