/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using MyPhotoIndex;
using System.Drawing.Drawing2D;
using System.Windows.Forms;
using System.IO;

namespace MyPhotoIndex.Controls
{
    internal class ImageFramePainter
    {
        //private static Font m_font = new Font("family", 8, FontStyle.Bold);
        private static Pen m_borderPen = new Pen(Color.FromArgb(108, 131, 158));

        private ImageFramePainter()
        {
        }

        static internal void DrawBoxFrame(ImageInstance image, Rectangle frameRect, Graphics graphics)
        {
            graphics.DrawRectangle(Pens.White, frameRect);
            graphics.DrawRectangle(m_borderPen, Rectangle.Inflate(frameRect, -1, -1));

            //DateTime dateTaken = image.ImageData.DateTaken;
            //string dateString = dateTaken.ToString("d", System.Threading.Thread.CurrentThread.CurrentUICulture);
            //SizeF dateTextSize = graphics.MeasureString(dateString, m_font);
            //Point start = new Point(frameRect.X + 5, frameRect.Bottom - 16);
            //graphics.DrawString(dateString, m_font, Brushes.Gray, start);
        }
    }
}
