/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Controls
{
    public class PageNumberChangedEventArgs : EventArgs
    {
        private int m_pageNumber;
        private int m_pageNumberBefore;

        public PageNumberChangedEventArgs(int pageNumber, int pageNumberBefore)
        {
            m_pageNumber = pageNumber;
            m_pageNumberBefore = pageNumberBefore;
        }

        public int PageNumber
        {
            get { return m_pageNumber; }
            set { m_pageNumber = value; }
        }

        public int PageNumberBefore
        {
            get { return m_pageNumberBefore; }
            set { m_pageNumberBefore = value; }
        }
    }
}
