/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces;
using System.IO;

namespace MyPhotoIndex.ImageBank.Query
{
    public class DirectoryNameQueryParameter : QueryParameter<string>
    {
        public DirectoryNameQueryParameter(string directoryName)
        {
            base.PropertyPath = "FileName";
            base.ParameterData = directoryName;
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        public override bool Equals(Object value)
        {
           // return ((string)value).StartsWith((string)this.ParameterData);
            return ( Path.GetDirectoryName(((string)value)).CompareTo((string)this.ParameterData) == 0 );
        }
    }
}
