/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.ImageCache
{
    public class ImageCacheRecord
    {
        private int     m_id;
        private long    m_position;
        private int     m_size;
        private int     m_originalSize;
        private bool    m_newRecord;

        public int Id
        {
            get { return m_id; }
            set { m_id = value; }
        }

        public long Position
        {
            get { return m_position; }
            set { m_position = value; }
        }

        public int Size
        {
            get { return m_size; }
            set { m_size = value; }
        }

        public int OriginalSize
        {
            get { return m_originalSize; }
            set { m_originalSize = value; }
        }

        public bool NewRecord
        {
            get { return m_newRecord; }
            set { m_newRecord = value; }
        }

        internal ImageCacheRecord()
        {
            m_newRecord = true;
        }

        internal ImageCacheRecord(int id, long position, int size, int originalSize)
        {
            m_id = id;
            m_position = position;
            m_size = size;
            m_originalSize = originalSize;
            m_newRecord = true;
        }
    }
}
