/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Importer.CameraImageAcquisition
{
    public class ImagingDeviceImageTransferEventArgs : EventArgs
    {
        private int     m_totalImages;
        private int     m_currentImage;
        private string  m_name;

        public ImagingDeviceImageTransferEventArgs(int totalImages, int currentImage, string name)
        {
            m_totalImages = totalImages;
            m_currentImage = currentImage;
            m_name = name;
        }

        public int CurrentImage
        {
            get { return m_currentImage; }
            set { m_currentImage = value; }
        }

        public int TotalImages
        {
            get { return m_totalImages; }
            set { m_totalImages = value; }
        }

        public string Name
        {
            get { return m_name; }
            set { m_name = value; }
        }
    }
}
