/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.DataAccess;
using System.Drawing;

namespace MyPhotoIndex.Importer
{
    class ImportDataPackage
    {
        public ImportDataPackage(MyPhotoIndexDataSet.ImagesDataTable dataTable, String fileName, Size thumbnailSize)
        {
            m_dataTable = dataTable;
            m_fileName = fileName;
            m_thumbnailSize = thumbnailSize;
        }

        private MyPhotoIndexDataSet.ImagesDataTable m_dataTable;

        public MyPhotoIndexDataSet.ImagesDataTable DataTable
        {
            get { return m_dataTable; }
            set { m_dataTable = value; }
        }
        private String m_fileName;

        public String FileName
        {
            get { return m_fileName; }
            set { m_fileName = value; }
        }

        private Size m_thumbnailSize;

        public Size ThumbnailSize
        {
            get { return m_thumbnailSize; }
            set { m_thumbnailSize = value; }
        }
    }
}
