﻿/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace MyPhotoIndex.Interfaces.Plugins
{
    public class PluginMenuEventArgs : EventArgs
    {
        private IPluginMenuInfo m_menuInfo;

        public IPluginMenuInfo MenuInfo
        {
            get { return m_menuInfo; }
            set { m_menuInfo = value; }
        }

        private ReadOnlyCollection<int> m_selectedImages;

        public ReadOnlyCollection<int> SelectedImages
        {
            get { return m_selectedImages; }
            set { m_selectedImages = value; }
        }

        public PluginMenuEventArgs(IPluginMenuInfo menuInfo, ReadOnlyCollection<int> selectedImages)
        {
            m_menuInfo = menuInfo;
            m_selectedImages = selectedImages;
        }
    }
}
