using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Plugins
{
    public class PluginLoadEventArgs : EventArgs
    {
        private string m_pluginName;
        private string m_pluginFileName;

        public PluginLoadEventArgs(string pluginName, string pluginFileName)
        {
            m_pluginName = pluginName;
            m_pluginFileName = pluginFileName;
        }

        public string PluginName
        {
            get { return m_pluginName; }
            set { m_pluginName = value; }
        }

        public string PluginFileName
        {
            get { return m_pluginFileName; }
            set { m_pluginFileName = value; }
        }
    }
}
