/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;
using MyPhotoIndex.Interfaces.Imaging;
using System.Drawing;

namespace MyPhotoIndex.Plugins.WebCommunity
{
    class UploadData
    {
        private ReadOnlyCollection<IImageData> m_imageFiles;

        public ReadOnlyCollection<IImageData> ImageFiles
        {
            get { return m_imageFiles; }
            set { m_imageFiles = value; }
        }
        private string m_attachmentId;

        public string AttachmentId
        {
            get { return m_attachmentId; }
            set { m_attachmentId = value; }
        }

        private string m_privateKey;

        public string PrivateKey
        {
            get { return m_privateKey; }
            set { m_privateKey = value; }
        }

        private string m_uploadUrl;

        public string UploadUrl
        {
            get { return m_uploadUrl; }
            set { m_uploadUrl = value; }
        }

        private Size m_imageSize;

        public Size ImageSize
        {
            get { return m_imageSize; }
            set { m_imageSize = value; }
        }
    }
}
