using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces;
using System.Collections.ObjectModel;
using MyPhotoIndex.Interfaces.Tagging;

namespace MyPhotoIndex
{
    class AddTagsData
    {
        public AddTagsData(IImageTag imageTag, ReadOnlyCollection<int> imageList)
        {
            m_imageTag = imageTag;
            m_imageList = imageList;
        }

        private IImageTag m_imageTag;

        public IImageTag ImageTag
        {
            get { return m_imageTag; }
        }
        private ReadOnlyCollection<int> m_imageList;

        public ReadOnlyCollection<int> ImageList
        {
            get { return m_imageList; }
        }
    }
}
