using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces.Tagging;

namespace MyPhotoIndex.Wizards.Import
{
    class ExistingTagListItem
    {
        private IImageTag m_tag;
        private int m_level;

        public ExistingTagListItem(IImageTag tag, int level)
        {
            m_tag = tag;
            m_level = level;
        }

        public IImageTag Tag
        {
            get { return m_tag; }
            set { m_tag = value; }
        }

        public override string ToString()
        {
            string tagName = String.Concat(new string(' ', m_level * 2), m_tag);
            return tagName;
        }
    }
}
