/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace MyPhotoIndex.Importer
{
    public class ImageDataImporterEventArgs : EventArgs
    {
        private string  m_currentFile;
        private Image   m_thumbnail;
        private int     m_fileOffset;
        private bool    m_stop;

        public ImageDataImporterEventArgs(string currentFile, Image thumbnail, int fileOffset)
        {
            m_currentFile = currentFile;
            m_thumbnail = thumbnail;
            m_fileOffset = fileOffset;
        }

        public string CurrentFile
        {
            get { return m_currentFile; }
            set { m_currentFile = value; }
        }

        public Image Thumbnail
        {
            get { return m_thumbnail; }
            set { m_thumbnail = value; }
        }

        public int FileOffset
        {
            get { return m_fileOffset; }
            set { m_fileOffset = value; }
        }

        public bool Stop
        {
            get { return m_stop; }
            set { m_stop = value; }
        }
    }
}
