/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces.Tagging;
using MyPhotoIndex.Interfaces.Imaging;

namespace MyPhotoIndex.Importer
{
    public class SetImageTagsEventArgs : EventArgs
    {
        private List<IImageTag> m_imageTags = new List<IImageTag>();

        public List<IImageTag> ImageTags
        {
            get { return m_imageTags; }
        }

        private IImageMetaData m_imageMetaData;

        public IImageMetaData ImageMetaData
        {
            get { return m_imageMetaData; }
            set { m_imageMetaData = value; }
        }

        public SetImageTagsEventArgs(IImageMetaData imageMetaData)
        {
            m_imageMetaData = imageMetaData;
        }
    }
}
