/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace MyPhotoIndex.Plugins.ImageFormatProviders
{
    [Serializable]
    public class EncryptedImage
    {
        private byte[] m_image;

        public byte[] Image
        {
            get { return m_image; }
            set { m_image = value; }
        }

        private byte[] m_thumbnail;

        public byte[] Thumbnail
        {
            get { return m_thumbnail; }
            set { m_thumbnail = value; }
        }

        private string m_originalFileName;

        public string OriginalFileName
        {
            get { return m_originalFileName; }
            set { m_originalFileName = value; }
        }
        private DateTime m_encryptionDate;

        public DateTime EncryptionDate
        {
            get { return m_encryptionDate; }
            set { m_encryptionDate = value; }
        }
        private string m_user;

        public string User
        {
            get { return m_user; }
            set { m_user = value; }
        }
        private byte[] m_challenge;

        public byte[] Challenge
        {
            get { return m_challenge; }
            set { m_challenge = value; }
        }

        private Size m_imageSize;

        public Size ImageSize
        {
            get { return m_imageSize; }
            set { m_imageSize = value; }
        }
    }
}
