using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces.Imaging;

namespace MyPhotoIndex.Interfaces.ImageFormatProviders
{
    public interface IEncryptedFormatProvider
    {
        bool ValidateKey(String fileName, String key);
        void AddKey(String key);
        void ClearKeys();

        bool IsCached(string fileName);

        void Encrypt(IImageData imageData, String key);
        bool Decrypt(IImageData imageData);
    }
}
