﻿/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;

namespace MyPhotoIndex.Interfaces.Imaging
{
    public interface IImageMetaData
    {
        float Aperture { get; set; }
        float Brightness { get; set; }
        string CameraMaker { get; set; }
        string CameraModel { get; set; }
        DateTime DateDigitized { get; set; }
        DateTime DateTaken { get; set; }
        int ExposureCompensation { get; set; }
        CameraExposureProgram ExposureProgram { get; set; }
        string ExposureTime { get; set; }
        CameraFlashStatus FlashStatus { get; set; }
        float FocalLength { get; set; }
        string ImageDescription { get; set; }
        int ImageHeight { get; set; }
        int ImageWidth { get; set; }
        int IsoSpeed { get; set; }
        DateTime LastModifiedDateTime { get; set; }
        ImageLightSource LightSource { get; set; }
        float MaxAperture { get; set; }
        CameraMeteringMode MeteringMode { get; set; }
        ImageResolutionUnit ResolutionUnit { get; set; }
        string SoftwareUsed { get; set; }
        byte[] Thumbnail { get; set; }
        int ThumbnailHeight { get; set; }
        int ThumbnailWidth { get; set; }
        int XResolution { get; set; }
        int YResolution { get; set; }
        List<String> Keywords { get; set;}
        string SourceLabel { get; set; }
    }
}
