﻿/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Net;

namespace MyPhotoIndex.Plugins.WebHost.RequestHandlers
{
    public class PageProcessingevEntArgs : EventArgs
    {
        public PageProcessingevEntArgs(string fileName, string content, HttpListenerRequest request, HttpListenerResponse response)
        {
            m_fileName = fileName;
            m_content = content;
            m_request = request;
            m_response = response;
        }

        private bool m_processed = false;

        public bool Processed
        {
            get { return m_processed; }
            set { m_processed = value; }
        }

        private string m_fileName;

        public string FileName
        {
            get { return m_fileName; }
            set { m_fileName = value; }
        }
        private string m_content;

        public string Content
        {
            get { return m_content; }
            set { m_content = value; }
        }
        private HttpListenerRequest m_request;

        public HttpListenerRequest Request
        {
            get { return m_request; }
            set { m_request = value; }
        }
        private HttpListenerResponse m_response;

        public HttpListenerResponse Response
        {
            get { return m_response; }
            set { m_response = value; }
        }
    }
}
