using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Utilities
{
    public class FileSearchEventAgs : EventArgs
    {
        private string m_directoryName;
        private int m_filesFound;

        public FileSearchEventAgs(string directoryName, int filesFound)
        {
            m_directoryName = directoryName;
            m_filesFound = filesFound;
        }

        public int FilesFound
        {
            get { return m_filesFound; }
            set { m_filesFound = value; }
        }

        public string DirectoryName
        {
            get { return m_directoryName; }
            set { m_directoryName = value; }
        }
    }
}
