using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Utilities
{
    public class TranslatedResourceString
    {
        private string m_parent;

        public string Parent
        {
            get { return m_parent; }
            set { m_parent = value; }
        }
        private string m_type;

        public string Type
        {
            get { return m_type; }
            set { m_type = value; }
        }
        private string m_name;

        public string Name
        {
            get { return m_name; }
            set { m_name = value; }
        }
        private string m_value;

        public string Value
        {
            get { return m_value; }
            set { m_value = value; }
        }

        public TranslatedResourceString(string parent, string type, string name, string value)
        {
            m_parent = parent;
            m_type = type;
            m_name = name;
            m_value = value;
        }

        public override string ToString()
        {
            return String.Format("{0}.{1}.{2}", m_parent, m_type, m_name);
        }
    }
}
