/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex
{
    public partial class Main
    {
        private void toolStripSmallest_Click()
        {
            m_lastImageSize = MyPhotoIndexTrackBar1.Value;
            MyPhotoIndexTrackBar1.Value = photoThumbViewer1.MaximumImageColumns;
        }

        private void toolStripLargest_Click()
        {
            m_lastImageSize = MyPhotoIndexTrackBar1.Value;
            MyPhotoIndexTrackBar1.Value = 1;
        }

        private void toolStripGoBack_Click()
        {
            if (m_lastImageSize == MyPhotoIndexTrackBar1.Value)
            {
                m_lastImageSize = 4;
            }

            MyPhotoIndexTrackBar1.Value = m_lastImageSize;
        }

        private void ThumbnailZoomIn()
        {
            if (MyPhotoIndexTrackBar1.Value == MyPhotoIndexTrackBar1.Maximum)
            {
                return;
            }

            MyPhotoIndexTrackBar1.Value--;
        }

        private void ThumbnailZoomOut()
        {
            if (MyPhotoIndexTrackBar1.Value == MyPhotoIndexTrackBar1.Minimum)
            {
                return;
            }

            MyPhotoIndexTrackBar1.Value++;
        }
    }
}
