/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
using System;
using System.Collections.Generic;
using System.Text;
using MyPhotoIndex.Interfaces;

namespace MyPhotoIndex
{
    internal class ProcessInfoAlertParameters : EventArgs
    {
        string m_message;

        public string Message
        {
            get { return m_message; }
            set { m_message = value; }
        }

        string m_description;

        public string Description
        {
            get { return m_description; }
            set { m_description = value; }
        }

        string m_url;

        public string Url
        {
            get { return m_url; }
            set { m_url = value; }
        }

        ProcessAlertType m_alertType;

        public ProcessAlertType AlertType
        {
            get { return m_alertType; }
            set { m_alertType = value; }
        }

        public ProcessInfoAlertParameters(ProcessAlertType alertType, string message, string description, string url)
        {
            m_message = message;
            m_description = description;
            m_url = url;
            m_alertType = alertType;
        }
    }
}
