﻿/*MyPhotoIndex Free Photo Organizer <www.myphotoindex.com>
  Copyright (C) <2006-2009>  <Asaf Yarkoni asaf@yarkoni.net>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

using System;
using System.Collections.Generic;
using System.Text;

namespace MyPhotoIndex.Settings
{
    public enum PhotoIndexType { Disk = 0 }

    public class PhotoIndexInfo
    {
        private PhotoIndexType m_type;

        public PhotoIndexType Type
        {
            get { return m_type; }
            set { m_type = value; }
        }

        private string m_id;

        public string Id
        {
            get { return m_id; }
            set { m_id = value; }
        }
        private string m_path;

        public string Path
        {
            get { return m_path; }
            set { m_path = value; }
        }
        private string m_name;

        public string Name
        {
            get { return m_name; }
            set { m_name = value; }
        }
        private int m_imageCount;

        public int ImageCount
        {
            get { return m_imageCount; }
            set { m_imageCount = value; }
        }
    }
}
